# Uses of Class
org.eclipse.emf.compare.EMFCompare.Builder

Packages that use EMFCompare.Builder
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.rcp.internal.extension
org.eclipse.emf.compare.rcp.internal.extension.impl

## Uses of EMFCompare.Builder in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return EMFCompare.Builder
Modifier and Type
Method
Description
`static EMFCompare.Builder`
EMFCompare.`builder()`
Creates a new builder to configure the creation of a new EMFCompare object.
`EMFCompare.Builder`
EMFCompare.Builder.`setConflictDetector(IConflictDetector cd)`
Sets the IEquiEngine to be used to compute conflicts between Diff.
`EMFCompare.Builder`
EMFCompare.Builder.`setDiffEngine(IDiffEngine de)`
Sets the IDiffEngine to be used to compute Diff.
`EMFCompare.Builder`
EMFCompare.Builder.`setEquivalenceEngine(IEquiEngine ee)`
Sets the IEquiEngine to be used to compute equivalences between Diff.
`EMFCompare.Builder`
EMFCompare.Builder.`setMatchEngineFactoryRegistry(IMatchEngine.Factory.Registry mefr)`
Sets the IMatchEngine.Factory.Registry to be used to find a match engine factory to compute comparison.
`EMFCompare.Builder`
EMFCompare.Builder.`setPostProcessorRegistry(IPostProcessor.Descriptor.Registry<?> r)`
Sets the PostProcessor to be used to find the post processor of each comparison steps.
`EMFCompare.Builder`
EMFCompare.Builder.`setRequirementEngine(IReqEngine re)`
Sets the IReqEngine to be used to compute dependencies between Diff.

## Uses of EMFCompare.Builder in org.eclipse.emf.compare.rcp.internal.extension

Methods in org.eclipse.emf.compare.rcp.internal.extension with parameters of type EMFCompare.Builder
Modifier and Type
Method
Description
`void`
IEMFCompareBuilderConfigurator.`configure(EMFCompare.Builder builder)`
Configure a `org.eclipse.emf.compare.EMFCompare.EMFCompare.Builder` using engines from registry and user preferences.

## Uses of EMFCompare.Builder in org.eclipse.emf.compare.rcp.internal.extension.impl

Methods in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type EMFCompare.Builder
Modifier and Type
Method
Description
`void`
EMFCompareBuilderConfigurator.`configure(EMFCompare.Builder builder)`
Configure a `org.eclipse.emf.compare.EMFCompare.EMFCompare.Builder` using engines from registry and user preferences.